中危 Mozilla Firefox 缓冲区错误漏洞

CVE编号

CVE-2021-43534

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-12-09
漏洞描述
Mozilla Firefox是美国Mozilla基金会的一款开源Web浏览器。

Mozilla Firefox 存在缓冲区错误漏洞,该漏洞源于Mozilla未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://www.mozilla.org/security/advisories/mfsa2021-50/
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 mozilla firefox * Up to
(excluding)
94.0
运行在以下环境
应用 mozilla firefox_esr * Up to
(excluding)
91.3.0
运行在以下环境
应用 mozilla thunderbird * Up to
(excluding)
91.3.0
运行在以下环境
系统 alpine_3.16 firefox * Up to
(excluding)
91.3.2-r0
运行在以下环境
系统 alpine_edge firefox * Up to
(excluding)
91.3.2-r0
运行在以下环境
系统 centos_7 firefox * Up to
(excluding)
91.3.0-1.el7.centos
运行在以下环境
系统 debian_10 thunderbird * Up to
(excluding)
1:91.4.1-1~deb10u1
运行在以下环境
系统 debian_11 thunderbird * Up to
(excluding)
91.4.1esr-1~deb11u1
运行在以下环境
系统 debian_12 thunderbird * Up to
(including)
78.14.0esr-1
运行在以下环境
系统 debian_9 thunderbird * Up to
(excluding)
1:91.4.1-1~deb9u1
运行在以下环境
系统 redhat_7 thunderbird * Up to
(excluding)
0:91.3.0-2.el7_9
运行在以下环境
系统 ubuntu_18.04 firefox * Up to
(excluding)
1:91.5.0+build1-0ubuntu0.18.04.1
运行在以下环境
系统 ubuntu_20.04 firefox * Up to
(excluding)
1:91.5.0+build1-0ubuntu0.20.04.1
阿里云评分
6.8
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-787 跨界内存写
阿里云安全产品覆盖情况